: Class BuildJembossForm

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class BuildJembossForm

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.BuildJembossForm

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class BuildJembossForm
extends java.lang.Object
implements java.awt.event.ActionListener

Responsible for displaying the graphical representation of the ACD EMBOSS files. Generates & runs command lines and display results.

Author:
  T. J. Carver

Field Summary
`protected static javax.swing.JPanel` | `advSection`
`protected static javax.swing.JPanel` | `inpSection`
`protected static javax.swing.JPanel` | `outSection`
`protected static OutputSequenceAttributes` | `outSeqAttr`
`protected static javax.swing.JPanel` | `reqdSection`

Constructor Summary
`BuildJembossForm(int i, java.lang.String[] allDes, java.lang.String[] db, java.lang.String[] allAcd, java.lang.String[] envp, java.lang.String cwd, java.lang.String embossBin, java.lang.String acdDirToParse, boolean withSoap, javax.swing.JPanel p2, uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, java.util.Hashtable acdStore, javax.swing.JFrame f)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Action events Exit, Help, GO, & Show results
`void` | `attach(int app, javax.swing.JPanel p3, javax.swing.Box fieldPane)`
`java.lang.String` | `checkParameters(ParseAcd parseAcd, int numofFields, java.util.Hashtable filesToMove)`
`java.lang.String` | `filesForSoap(java.lang.String fn, java.lang.String options, java.lang.String val, java.util.Hashtable filesToMove)`
`java.util.Hashtable` | `getacdStore()`
`java.lang.String` | `getAcdText()` Get the contents of an ACD file in the form of a String.
`java.lang.String` | `getCommand()` Get the command line for the Standalone version.
`java.lang.String` | `getCommand(java.util.Hashtable filesToMove)` Get the command line for the SOAP version.
`byte[]` | `getPNGByte(java.lang.String pngFiles)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outSeqAttr

    protected static OutputSequenceAttributes outSeqAttr

### advSection

    protected static javax.swing.JPanel advSection

### reqdSection

    protected static javax.swing.JPanel reqdSection

### outSection

    protected static javax.swing.JPanel outSection

### inpSection

    protected static javax.swing.JPanel inpSection

Constructor Detail

### BuildJembossForm

    public BuildJembossForm(int i,
                            java.lang.String[] allDes,
                            java.lang.String[] db,
                            java.lang.String[] allAcd,
                            java.lang.String[] envp,
                            java.lang.String cwd,
                            java.lang.String embossBin,
                            java.lang.String acdDirToParse,
                            boolean withSoap,
                            javax.swing.JPanel p2,
                            uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                            java.util.Hashtable acdStore,
                            javax.swing.JFrame f)

Method Detail

### attach

    public void attach(int app,
                       javax.swing.JPanel p3,
                       javax.swing.Box fieldPane)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Action events Exit, Help, GO, & Show results
  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getPNGByte

    public byte[] getPNGByte(java.lang.String pngFiles)

### checkParameters

    public java.lang.String checkParameters(ParseAcd parseAcd,
                                            int numofFields,
                                            java.util.Hashtable filesToMove)

### filesForSoap

    public java.lang.String filesForSoap(java.lang.String fn,
                                         java.lang.String options,
                                         java.lang.String val,
                                         java.util.Hashtable filesToMove)

### getCommand

    public java.lang.String getCommand()

  Get the command line for the Standalone version.
  Parameters:
    `Hashtable` - of the files to be transferrred
  Returns:
    String command line to use

### getCommand

    public java.lang.String getCommand(java.util.Hashtable filesToMove)

  Get the command line for the SOAP version.
  Parameters:
    `Hashtable` - of the files to be transferrred
  Returns:
    String command line to use

### getAcdText

    public java.lang.String getAcdText()

  Get the contents of an ACD file in the form of a String.
  Parameters:
    `String` - of the ACD file name
    `String` - representation of the ACD

### getacdStore

    public java.util.Hashtable getacdStore()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD